import { ChainInfo, CheckTermsOfServiceResponseDto, DelegationSummaryDto, DelegationSummaryDtoByVault, ExecuteActionResponse, StakeRequestDto, StakingAction, StakingChain, StakingPosition, StakingProvider, UnstakeRequestDto, WithdrawRequestDto } from "./types";
import { StakingSDK } from "./staking-sdk";
import { ApiClient } from "../api-client";
export declare class StakingApiClient implements StakingSDK {
    private readonly apiClient;
    constructor(apiClient: ApiClient);
    getChains(): Promise<string[]>;
    getChainInfo(chainDescriptor: StakingChain): Promise<ChainInfo>;
    getPositionsSummary(): Promise<DelegationSummaryDto>;
    getPositionsSummaryByVault(): Promise<DelegationSummaryDtoByVault>;
    executeAction(actionId: StakingAction, chainDescriptor: StakingChain, body: StakeRequestDto | UnstakeRequestDto | WithdrawRequestDto): Promise<ExecuteActionResponse>;
    getPositions(chainDescriptor?: StakingChain): Promise<StakingPosition[]>;
    getPosition(positionId: string): Promise<StakingPosition[]>;
    getProviders(): Promise<StakingProvider[]>;
    approveProviderTermsOfService(providerId: string): Promise<CheckTermsOfServiceResponseDto>;
}
